Skip to main content
GET
/
api
/
voices
/
{voice_id}
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/voices/{voice_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.ultravox.ai/api/voices/{voice_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.ultravox.ai/api/voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "voiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "languageLabel": "<string>",
  "previewUrl": "<string>",
  "provider": "<string>",
  "definition": {
    "elevenLabs": {
      "voiceId": "<string>",
      "model": "<string>",
      "speed": 123,
      "useSpeakerBoost": true,
      "style": 123,
      "similarityBoost": 123,
      "stability": 123,
      "pronunciationDictionaries": [
        {
          "dictionaryId": "<string>",
          "versionId": "<string>"
        }
      ],
      "optimizeStreamingLatency": 123,
      "maxSampleRate": 123,
      "enableSsmlParsing": true
    },
    "cartesia": {
      "voiceId": "<string>",
      "model": "<string>",
      "speed": 123,
      "emotion": "<string>",
      "emotions": [
        "<string>"
      ],
      "generationConfig": {
        "volume": 123,
        "speed": 123,
        "emotion": "<string>",
        "pronunciationDictId": "<string>"
      }
    },
    "lmnt": {
      "voiceId": "<string>",
      "model": "<string>",
      "speed": 123,
      "conversational": true
    },
    "google": {
      "voiceId": "<string>",
      "speakingRate": 123
    },
    "inworld": {
      "voiceId": "<string>",
      "modelId": "<string>",
      "speakingRate": 123,
      "temperature": 123,
      "applyTextNormalization": true
    },
    "respeecher": {
      "voiceId": "<string>",
      "model": "<string>",
      "seed": 123,
      "temperature": 123,
      "topK": 123,
      "topP": 123,
      "minP": 123,
      "presencePenalty": 123,
      "repetitionPenalty": 123,
      "frequencyPenalty": 123
    },
    "generic": {
      "url": "<string>",
      "headers": {},
      "body": {},
      "responseSampleRate": 123,
      "responseWordsPerMinute": 123,
      "responseMimeType": "<string>",
      "jsonAudioFieldPath": "<string>"
    }
  },
  "description": "<string>",
  "primaryLanguage": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key

Path Parameters

voice_id
string<uuid>
required

Response

200 - application/json
voiceId
string<uuid>
required
read-only
name
string
required
Maximum string length: 40
languageLabel
string | null
required
read-only

Human-readable language label with flag emoji and English name (e.g., '🇺🇸 English (United States)').

previewUrl
string<uri>
required
read-only
ownership
enum<string>
required
Available options:
public,
private
billingStyle
enum<string>
required

How billing works for this voice. VOICE_BILLING_STYLE_INCLUDED - The cost of this voice is included in the call cost. There are no additional charges for it. VOICE_BILLING_STYLE_EXTERNAL - This voice requires an API key for its provider, who will bill for usage separately.

Available options:
VOICE_BILLING_STYLE_INCLUDED,
VOICE_BILLING_STYLE_EXTERNAL
provider
string | null
required
read-only
definition
object
required

A voice not known to Ultravox Realtime that can nonetheless be used for a call. Such voices are significantly less validated than normal voices and you'll be responsible for your own TTS-related errors. Exactly one field must be set.

description
string | null
Maximum string length: 240
primaryLanguage
string | null

BCP47 language code for the primary language supported by this voice.

Maximum string length: 10